BackupBuddy

(Difference between revisions)
Jump to: navigation, search
(Multisite)
(Minimum Server Requirements (reduced functionality))
Line 65: Line 65:
 
** [http://wordpress.org/news/2010/07/eol-for-php4-and-mysql4/ WordPress v3.2 will require mySQL 5.0.15+]
 
** [http://wordpress.org/news/2010/07/eol-for-php4-and-mysql4/ WordPress v3.2 will require mySQL 5.0.15+]
 
* WordPress 3.0+
 
* WordPress 3.0+
** We are trying to maintain bare minimum backup functionality for legacy versions as far back as WordPress v2.6 (though it's not pretty nor guaranteed to work perfectly at this time).
+
** We are trying to maintain bare minimum backup functionality for legacy versions as far back as WordPress v2.6 (though it's not pretty nor guaranteed to work perfectly at this time; we recommend only performing backups & direct restores for older versions and use it for safety while upgrading to the latest WordPress).
 
* Write permissions to /wp-content/uploads/ for the user running BackupBuddy.
 
* Write permissions to /wp-content/uploads/ for the user running BackupBuddy.
 
* BackupBuddy requires the uploads directory to be in the standard WordPress location.
 
* BackupBuddy requires the uploads directory to be in the standard WordPress location.

Revision as of 16:36, August 20, 2012


Contents

Multisite

As of version 2.2.14, BackupBuddy and Importbuddy include full BETA support for Multisite backups, imports and restorations.

Check out the BackupBuddy Multisite Codex and Get BackupBuddy Multisite Beta Today!

BETA indicates that Multisite functionality has known issues and is not reccomended for production use except at your own risk. We do NOT guarantee its functionality or provide guaranteed support for beta products.

Tutorials

Installing BackupBuddy

Check out the Installing BackupBuddy section to see how BackupBuddy can be uploaded and activated on Single sites or Multisite networks or Multisite sites.

Getting Started

Check out the Getting Started page to backup your Single sites or Multisite networks.


Restore or Migrate

Learn to Restore or Migrate your Single sites or Multisite networks with the latest importbuddy.php.


Settings Explained

Get in depth information about the various Settings.


Developing Locally

Set up your computer to Develop Sites Locally and then migrate them to your live site.

Specifications

Server configuration is a very complex topic and varies wildly between hosts, server operating systems, and even the personal preference of the server administrator. Below are the bare minimum requirements for the plugin along with the recommended setup to get the most out of this plugin. You may use ServerBuddy to help you determine how your server compares to our minimum requirements & recommendations.

Server Recommendations (full functionality)

  • PHP 5.2+
  • mySQL 5.x+
  • WordPress 3.1+
  • Write permissions to /wp-content/uploads/ for the user running BackupBuddy.
    • Backups will be stored in /wp-content/uploads/backupbuddy_backups/
    • Temporary files will be stored in /wp-content/uploads/backupbuddy_temp/xxxxxxx/ (temporarily generated at each backup)
  • Free disk space equal to or greater than the entire size of your site once compressed.
    • SuPHP or environment so that file operations/zip run as user to prevent permissions issues.
    • PHP exec() function enabled
    • PHP ZipArchive class installed
  • Linux:
    • Command-line zip installed and accessible via exec().
  • Windows (only supported for local development via Apache; IIS is not officially supported):
    • Windows zip executable (available here)
      • You must have the ability to configure your server to allow execution of this zip.exe file for it to function.
      • File permissions must also be set to allow access and execution of the zip executable.
  • wp-config.php file must be in WordPress installation directory OR (starting with v3.0) in the parent directory.

Minimum Server Requirements (reduced functionality)

NOTE: Some features of BackupBuddy will be unavailable or limited if running on minimum requirements without recommendations. Large sites may not be able to be backed up with these minimum features.'

  • PHP 5.2+
  • mySQL 4.x+
  • WordPress 3.0+
    • We are trying to maintain bare minimum backup functionality for legacy versions as far back as WordPress v2.6 (though it's not pretty nor guaranteed to work perfectly at this time; we recommend only performing backups & direct restores for older versions and use it for safety while upgrading to the latest WordPress).
  • Write permissions to /wp-content/uploads/ for the user running BackupBuddy.
  • BackupBuddy requires the uploads directory to be in the standard WordPress location.
    • Backups will be stored in /wp-content/uploads/backupbuddy_backups/
    • Temporary files will be stored in /wp-content/uploads/backupbuddy_temp/xxxxxxx/ (temporarily generated at each backup)
  • Free disk space equal to or greater than the entire size of your site once compressed.
  • wp-config.php file must be in WordPress installation directory OR (starting with v3.0) in the parent directory.

Host Compatibility

Compare various Hosts & Hosting Environments to see how your host/potential host compares.


Misc. Information

Find out some Miscellaneous Information about BackupBuddy.


Troubleshooting

Frequently Seen Support Issues

Problems? Start with the Frequently Seen Support Issues to most quickly troubleshoot your problem.


BackupBuddy: Error Codes

Receive an error code? Check out the Error Codes page for explanations.


Manual Migration

Import fails on file extraction? Learn how to perform a Manual Migration ... it's easier than you'd think!


Additional Resources

Tools


Links

  1. Purchase BackupBuddy
  2. BackupBuddy Multisite Codex
  3. BackupBuddy beta Multisite support announcement
  4. BackupBuddy beta Multisite key points everyone is raving about!
  5. PluginBuddy Tutorials
  6. PluginBuddy.com
  7. Support Forums
Personal tools
Namespaces
Variants
Actions
iThemes Codex
Codex Navigation
Toolbox